/*!
 * \file    accelerometer.h
 * \brief   Defines and macros for MPR083 Chip and I2C
 * \version $Revision: 1.2 $
 * \author  Anthony Huereca
 */

#ifndef _ACCELEROMETER_H_
#define _ACCELEROMETER_H_

/*******************************************************************/
#define max             0x10         //Max number of samples to average/filter
#define dis_base        base16
#define SENSITIVITY     5000
#define Range15g        0
#define Range2g         1
#define Range4g         2
#define Range6g         3 


typedef struct  {
  dword  reading[max];
  dword  result[max];
  dword  init;
} ResultStct;

/*********************************** Variables ***********************************/
static byte samp=0,mode=0,n_str[5];

static ResultStct x;
static ResultStct y;
static ResultStct z;




/*********************************** Prototype ***********************************/


void initADC(void);
void filter_data();
unsigned short ReadADC(byte channel); //   
void avg_data();
void AccelOn(char sensitivity);
void ADC_off(void);
/*******************************************************************/

#endif /* _ACCELEROMETER_H_ */
